function [PSD,operador,coef_ar] = ajusta_bloque_ar4(observado)

M = size(observado,1);

Y=[];
rhs=[];

bloque = observado;

for jj=2:M-1
for kk=2:M-1
   Y=[Y; bloque(jj+1,kk) bloque(jj,kk+1) bloque(jj-1,kk) bloque(jj,kk-1)];
   rhs =[rhs;bloque(jj,kk)];
end
end

coef_ar = Y\rhs;


ptos=M;

w=linspace(-pi,pi,ptos);

z1=exp(sqrt(-1)*w);
z2=exp(sqrt(-1)*w);


F = zeros(ptos);
espectro = F;

for jj=1:ptos
   for kk=1:ptos
      v1 = coef_ar(1)*z1(jj)^1;
      v2 = coef_ar(2)*z2(kk)^1;
      v3 = coef_ar(3)*z1(jj)^(-1);
      v4 = coef_ar(4)*z2(kk)^(-1);

      val = 1 - (v1 + v2 + v3 + v4);
      F(jj,kk) = val;
      PSD(jj,kk) = 1 / abs(val)^2;
   end
end

operador = F;
