function r=respuestafourier(bloque,lcuan,H,k1,k2);
  
% respuestafourier calcula la respuesta no lineal cuando la transformacion
% lineal es Fourier
%
% USO: r = respuestafourier(bloque,lcuan,H,k1,k2);


% rectificacin y paso a contraste

%cub=2*abs(cub)/abs(cub(1,1));



M=lcuan;

ang = linspace(0,pi/2,5);
v = [reverse(cos(ang)) ones(1,M-2*5) cos(ang)];
pesos = v'*v;
      
observado2 = bloque.*pesos + (1-pesos).*mean(mean(bloque));


%cub=fft2(0.001*(observado2-mean(observado2(:)))/M^2);
 
cub = fft2(observado2);cub = 2*cub/cub(1,1);cub = abs(cub);

cub(1,1)=0;

cub=fftshift(cub);

M=size(cub,1);

% zigzageo  

cublin=zigzag(cub);


cubcub=cublin.^2;  

% Modelo no lineal con interaccin con los vecinos (H no es diagonal)

num = k1.*cubcub;
den = k2 + H*cubcub;

%r=k1/20+num./den;

r=num./den;


%num = dezigzag(num);
%den = dezigzag(den);
%num(M/2+1,M/2+1)=0;
%den(M/2+1,M/2+1)=0;
%figure,subplot(1,3,1),colormap(gray);imagesc(num.^0.3);title('Numerador');axis image
%subplot(1,3,2),colormap(gray);imagesc(den.^0.3);title('Denominador');axis image
%subplot(1,3,3),colormap(gray);imagesc(dezigzag(r).^0.3);title('Respuesta');axis image
%pause(0.5)
%close 

r=dezigzag(r);


%subplot(1,2,1);colormap(Gray);imagesc(r.^0.3);axis square
%subplot(1,2,2);colormap(Gray);imagesc(dezigzag(cub).^0.2);axis square
%pause;close;
