function F=costeinvrespfour(observado,lcuan,H,k1,k2,umbral);
  
% costerespfour calcula los coeficientes en en dominio de fourier
% del operador de regularizacin.
% 
% Devuelve la inversa de la respuesta a los coeficientes de la transformada
% del bloque.
%
%  umbral se utiliza para determinar fijar el valor minimo de la respuesta
%      valormin = max(max(respuesta))/umbral;
%      Valores menores que este valor en la respuesta se ponen a valormin
% 
% USO: C=costerespfour(bloque,ladobloque,H,k1,k2,umbral);


% Modelo no-lineal con interaccin con los vecinos (H no es diagonal)

C=respuestafourier(observado,lcuan,H,k1,k2);

%figure
%subplot(1,3,1),colormap(gray);imagesc(C.^0.3);axis image

%C=conv2(C,fspecial('gaussian',5,.3),'same');

%subplot(1,3,2),colormap(gray);imagesc(C.^0.3);axis image
%subplot(1,3,3),colormap(gray);imagesc(abs(fftshift(cub).^0.3));axis image
%pause,close;

C(lcuan/2+1,lcuan/2+1) = 1;


%umbral = zeros(32);
%for i=24:32
%   v = zeros(1,32);
%   v(i) = 1;
%   f = simrevol(v);
%   f = double(f>0);
%   valores = C.*f;
%   media = sum(sum(valores))/sum(sum(f));
%   umbral(f>0) = media;
%   
%   %figure,mesh(umbral);pause;close;
%   
%end   


F = C.*( C > umbral ) + umbral.*( C <= umbral );

%
%figure(200);
%subplot(1,4,1);
%prod(size(umbral))
%if (prod(size(umbral))>1)
%   mesh(umbral);
%end
%subplot(1,4,2);
%mesh(C);
%subplot(1,4,3);
%mesh(F);


F=1./F;

F = F/max(max(F));

F(lcuan/2+1,lcuan/2+1) = 1;


%subplot(1,4,4);
%mesh(F);
%pause(0.2)





%F(lcuan/2+1,lcuan/2+1) = 0;



%figure,mesh(fftshift(F));pause;close;
